Attempted build on Arch Linux:

perl Configure.pl --prefix=$HOME/.local --backend=moar --gen-moar --gen-moar

Resulting in:

Building NQP ...
/usr/bin/perl Configure.pl --prefix=/home/mcarter/.local --backends=moar 
--make-install

Creating tools/build/install-jvm-runner.pl ...

===SORRY!===
Found /home/mcarter/.local/bin/moar version 2017.04-53-g66c6dda, which is too 
old. Wanted at least 2017.07

No suitable MoarVM (moar executable) found using the --prefix
(You can get a MoarVM built automatically with --gen-moar.)

Command failed (status 65280): /usr/bin/perl Configure.pl 
--prefix=/home/mcarter/.local --backends=moar --make-install

Reply via email to